Name: bacula
Version: 1.38.5
Release: alt0.M24.1

Packager: Alexey Borovskoy <alb@altlinux.ru>

Summary: Bacula - The Network Backup Solution
License: GPL
Group: Archiving/Backup
URL: http://www.bacula.org/

Source0: %name-%version.tar.gz
Source1: %name-sysconfig
Source2: %name-storage-pgsql
Source3: %name-storage-mysql
Source4: %name-storage-sqlite
Source5: %name-director-pgsql
Source6: %name-director-mysql
Source7: %name-director-sqlite
Source8: %name-client.init
Source9: %name-storage.init
Source10: %name-director.init
Source11: %name-storage-sqlite3
Source12: %name-director-sqlite3

Patch1: %name-1.38.5-alt-dbscripts.patch.bz2
Patch2: %name-daemon-pid.patch
Patch3: %name-1.38.2-alt-scripts.patch

BuildPreReq: gcc-c++ openssl libssl-devel libncurses-devel libreadline-devel
BuildPreReq: postgresql-devel sqlite-devel libMySQL-devel
BuildPreReq: XFree86-devel libacl-devel zlib-devel
BuildPreReq: hostinfo libalternatives-devel
BuildPreReq: libgtk+2-devel
#BuildPreReq: libgnomeui-devel
BuildPreReq: wxGTK-devel

BuildPreReq: libsqlite3-devel

%add_findreq_skiplist %_bindir/%name-console

%description
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of computer
data across a network of computers of different kinds. In technical terms,
it is a network client/server based backup program. Bacula is relatively
easy to use and efficient, while offering many advanced storage management
features that make it easy to find and recover lost or damaged files.
This package contains common files.

%package console
Summary: Text based management console for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release

%description console
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Console is the program that allows the administrator or user to
communicate with the Bacula Director.
This package contains text based management console.

%package console-wx
Summary: wxWidgets based management console for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release

%description console-wx
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Console is the program that allows the administrator or user to
communicate with the Bacula Director.
This package contains wxWidgets based management console.

%package tray-monitor
Summary: wxWidgets based tray monitor for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release

%description tray-monitor
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Tray Monitor is the program that allows the administrator or user to
monitor the Bacula backup system.

%package client
Summary: File Services for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release

%description client
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula File services (or Client program) is the software program that is
installed on the machine to be backed up. It is specific to the operating
system on which it runs and is responsible for providing the file attributes
and data when requested by the Director. The File services are also responsible
for the file system dependent part of restoring the file attributes and data
during a recovery operation.
This program runs as a daemon on the machine to be backed up, and in some of
the documentation, the File daemon is referred to as the Client (for example in
Bacula configuration file).

%package storage-pgsql
Summary: Storage Services for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release
Conflicts: %name-storage-mysql
Conflicts: %name-storage-sqlite
Conflicts: %name-storage-sqlite3

%description storage-pgsql
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Storage services consist of the software programs that perform the
storage and recovery of the file attributes and data to the physical backup
media or volumes. In other words, the Storage daemon is responsible for reading
and writing your tapes (or other storage media, e.g. files).
The Storage services runs as a daemon on the machine that has the backup
device (usually a tape drive).
This package requires PostgreSQL to be installed separately as the catalog database.

%package storage-mysql
Summary: Storage Services for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release
Conflicts: %name-storage-pgsql
Conflicts: %name-storage-sqlite
Conflicts: %name-storage-sqlite3

%description storage-mysql
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Storage services consist of the software programs that perform the
storage and recovery of the file attributes and data to the physical backup
media or volumes. In other words, the Storage daemon is responsible for reading
and writing your tapes (or other storage media, e.g. files).
The Storage services runs as a daemon on the machine that has the backup
device (usually a tape drive).
This package requires MySQL to be installed separately as the catalog database.

%package storage-sqlite
Summary: Storage Services for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release
Requires: %name-director-sqlite = %version-%release
Conflicts: %name-storage-pgsql
Conflicts: %name-storage-mysql
Conflicts: %name-storage-sqlite3

%description storage-sqlite
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Storage services consist of the software programs that perform the
storage and recovery of the file attributes and data to the physical backup
media or volumes. In other words, the Storage daemon is responsible for reading
and writing your tapes (or other storage media, e.g. files).
The Storage services runs as a daemon on the machine that has the backup
device (usually a tape drive).
This package requires SQLite to be installed separately as the catalog database.

%package storage-sqlite3
Summary: Storage Services for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release
Requires: %name-director-sqlite3 = %version-%release
Requires: sqlite3
Conflicts: %name-storage-pgsql
Conflicts: %name-storage-mysql
Conflicts: %name-storage-sqlite

%description storage-sqlite3
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Storage services consist of the software programs that perform the
storage and recovery of the file attributes and data to the physical backup
media or volumes. In other words, the Storage daemon is responsible for reading
and writing your tapes (or other storage media, e.g. files).
The Storage services runs as a daemon on the machine that has the backup
device (usually a tape drive).
This package requires SQLite3 to be installed separately as the catalog database.

%package director-pgsql
Summary: Director and Catalog Services for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release
Conflicts: %name-director-sqlite
Conflicts: %name-director-mysql
Conflicts: %name-director-sqlite3

%description director-pgsql
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Director is the program that supervises all the backup, restore, verify
and archive operations. The system administrator uses the Bacula Director to
schedule backups and to recover files.
Catalog services are comprised of the software programs responsible for
maintaining the file indexes and volume databases for all files backed up.
The Catalog services permit the System Administrator or user to quickly locate
and restore any desired file, since it maintains a record of all Volumes used,
all Jobs run, and all Files saved.
This package requires PostgreSQL to be installed separately as the catalog database.

%package director-mysql
Summary: Director and Catalog Services for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release
Conflicts: %name-director-pgsql
Conflicts: %name-director-sqlite
Conflicts: %name-director-sqlite3

%description director-mysql
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Director is the program that supervises all the backup, restore, verify
and archive operations. The system administrator uses the Bacula Director to
schedule backups and to recover files.
Catalog services are comprised of the software programs responsible for
maintaining the file indexes and volume databases for all files backed up.
The Catalog services permit the System Administrator or user to quickly locate
and restore any desired file, since it maintains a record of all Volumes used,
all Jobs run, and all Files saved.
This package requires MySQL to be installed separately as the catalog database.

%package director-sqlite
Summary: Director and Catalog Services for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release
Requires: %name-storage-sqlite = %version-%release
Conflicts: %name-director-pqsgl
Conflicts: %name-director-mysql
Conflicts: %name-director-sqlite3

%description director-sqlite
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Director is the program that supervises all the backup, restore, verify
and archive operations. The system administrator uses the Bacula Director to
schedule backups and to recover files.
Catalog services are comprised of the software programs responsible for
maintaining the file indexes and volume databases for all files backed up.
The Catalog services permit the System Administrator or user to quickly locate
and restore any desired file, since it maintains a record of all Volumes used,
all Jobs run, and all Files saved.
This package requires SQLite to be installed separately as the catalog database.

%package director-sqlite3
Summary: Director and Catalog Services for Bacula
Group: Archiving/Backup
Requires: %name = %version-%release
Requires: %name-storage-sqlite3 = %version-%release
Conflicts: %name-director-pqsgl
Conflicts: %name-director-mysql
Conflicts: %name-director-sqlite

%description director-sqlite3
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula Director is the program that supervises all the backup, restore, verify
and archive operations. The system administrator uses the Bacula Director to
schedule backups and to recover files.
Catalog services are comprised of the software programs responsible for
maintaining the file indexes and volume databases for all files backed up.
The Catalog services permit the System Administrator or user to quickly locate
and restore any desired file, since it maintains a record of all Volumes used,
all Jobs run, and all Files saved.
This package requires SQLite3 to be installed separately as the catalog database.

%prep
%setup -qn %name-%version

%patch1 -p1
%patch2 -p0
%patch3 -p1

%__mkdir binaries

%build
#Errors.
#autoreconf -fisv autoconf/

#postgres binaries
%configure \
	--with-postgresql \
        --with-openssl \
        --with-readline \
	--with-x \
	--enable-wx-console \
	--enable-tray-monitor \
        --disable-rpath \
	--with-working-dir=%_localstatedir/%name \
	--with-pid-dir=%_var/run \
	--with-subsys-dir=%_lockdir \
        --sysconfdir=%_sysconfdir/%name \
        --with-scriptdir=%_datadir/%name \
        --with-dir-user=root \
        --with-dir-group=bacula \
        --with-sd-user=root \
        --with-sd-group=bacula \
        --with-fd-user=root \
        --with-fd-group=bacula \
        --with-dir-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-fd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-sd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-dir-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-fd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-sd-password="INSECURE! CHANGE PASSWORD BEFORE USE!"
            
%make_build

%__cp src/dird/bacula-dir binaries/bacula-dir-pgsql
%__cp src/stored/bcopy binaries/bcopy-pgsql
%__cp src/stored/bscan binaries/bscan-pgsql
%__cp src/tools/dbcheck binaries/dbcheck-pgsql

#mysql binaries
%configure \
	--with-mysql \
        --with-openssl \
        --with-readline \
	--with-x \
	--enable-wx-console \
	--enable-tray-monitor \
	--with-working-dir=%_localstatedir/%name \
	--with-pid-dir=%_var/run \
	--with-subsys-dir=%_lockdir \
        --sysconfdir=%_sysconfdir/%name \
        --with-scriptdir=%_datadir/%name \
        --with-dir-user=root \
        --with-dir-group=bacula \
        --with-sd-user=root \
        --with-sd-group=bacula \
        --with-fd-user=root \
        --with-fd-group=bacula \
        --with-dir-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-fd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-sd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-dir-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-fd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-sd-password="INSECURE! CHANGE PASSWORD BEFORE USE!"

%make_build

%__cp src/dird/bacula-dir binaries/bacula-dir-mysql
%__cp src/stored/bcopy binaries/bcopy-mysql
%__cp src/stored/bscan binaries/bscan-mysql
%__cp src/tools/dbcheck binaries/dbcheck-mysql

#sqlite binaries
%configure \
	--with-sqlite \
        --with-openssl \
        --with-readline \
	--with-x \
	--enable-wx-console \
	--enable-tray-monitor \
	--with-working-dir=%_localstatedir/%name \
	--with-pid-dir=%_var/run \
	--with-subsys-dir=%_lockdir \
        --sysconfdir=%_sysconfdir/%name \
        --with-scriptdir=%_datadir/%name \
        --with-dir-user=root \
        --with-dir-group=bacula \
        --with-sd-user=root \
        --with-sd-group=bacula \
        --with-fd-user=root \
        --with-fd-group=bacula \
        --with-dir-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-fd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-sd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-dir-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-fd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-sd-password="INSECURE! CHANGE PASSWORD BEFORE USE!"

%make_build

%__cp src/dird/bacula-dir binaries/bacula-dir-sqlite
%__cp src/stored/bcopy binaries/bcopy-sqlite
%__cp src/stored/bscan binaries/bscan-sqlite
%__cp src/tools/dbcheck binaries/dbcheck-sqlite

#sqlite3 binaries
%configure \
	--with-sqlite3 \
        --with-openssl \
        --with-readline \
	--with-x \
	--enable-wx-console \
	--enable-tray-monitor \
	--with-working-dir=%_localstatedir/%name \
	--with-pid-dir=%_var/run \
	--with-subsys-dir=%_lockdir \
        --sysconfdir=%_sysconfdir/%name \
        --with-scriptdir=%_datadir/%name \
        --with-dir-user=root \
        --with-dir-group=bacula \
        --with-sd-user=root \
        --with-sd-group=bacula \
        --with-fd-user=root \
        --with-fd-group=bacula \
        --with-dir-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-fd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-sd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-dir-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-fd-password="INSECURE! CHANGE PASSWORD BEFORE USE!" \
        --with-mon-sd-password="INSECURE! CHANGE PASSWORD BEFORE USE!"

%make_build

%__cp src/dird/bacula-dir binaries/bacula-dir-sqlite3
%__cp src/stored/bcopy binaries/bcopy-sqlite3
%__cp src/stored/bscan binaries/bscan-sqlite3
%__cp src/tools/dbcheck binaries/dbcheck-sqlite3

%install
%make_install DESTDIR=%buildroot install

%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_altdir
%__mkdir_p %buildroot%_sysconfdir/sysconfig
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_sysconfdir/logrotate.d
%__mkdir_p %buildroot%_bindir
#%__mkdir_p %buildroot%_man8dir

%__install -m 644 %SOURCE1 %buildroot%_sysconfdir/sysconfig/bacula
%__install -m 644 %SOURCE2 %buildroot%_altdir
%__install -m 644 %SOURCE3 %buildroot%_altdir
%__install -m 644 %SOURCE4 %buildroot%_altdir
%__install -m 644 %SOURCE5 %buildroot%_altdir
%__install -m 644 %SOURCE6 %buildroot%_altdir
%__install -m 644 %SOURCE7 %buildroot%_altdir
%__install -m 755 %SOURCE8 %buildroot%_initdir/%name-client
%__install -m 755 %SOURCE9 %buildroot%_initdir/%name-storage
%__install -m 755 %SOURCE10 %buildroot%_initdir/%name-director
%__install -m 644 %SOURCE11 %buildroot%_altdir
%__install -m 644 %SOURCE12 %buildroot%_altdir

#remove storage dependent binaries
%__rm %buildroot%_sbindir/{bacula-dir,bcopy,bscan,dbcheck}

#and replace it with renamed binaries
%__cp binaries/* %buildroot%_sbindir

#dbscripts
%__cp -f src/cats/create_{bacula,mysql,postgresql,sqlite,sqlite3}_database %buildroot%_datadir/%name
%__cp -f src/cats/drop_{bacula,mysql,postgresql,sqlite,sqlite3}_database %buildroot%_datadir/%name
%__cp -f src/cats/drop_{bacula,mysql,postgresql,sqlite,sqlite3}_tables %buildroot%_datadir/%name
%__cp -f src/cats/fix_postgresql_tables %buildroot%_datadir/%name
%__cp -f src/cats/grant_{bacula,mysql,postgresql,sqlite,sqlite3}_privileges %buildroot%_datadir/%name
%__cp -f src/cats/update_{bacula,mysql,postgresql,sqlite,sqlite3}_tables %buildroot%_datadir/%name
%__cp -f src/cats/make_{bacula,mysql,postgresql,sqlite,sqlite3}_tables %buildroot%_datadir/%name

%__rm %buildroot%_datadir/%name/{startmysql,stopmysql,bacula,gconsole,dvd-handler}
%__rm %buildroot%_datadir/%name/btraceback*
%__rm %buildroot%_sbindir/btraceback

%__cp {COPYING,ChangeLog,LICENSE,ReleaseNotes} %buildroot/%_docdir/%name-%version/

#%__install -m 644 scripts/bacula.man %buildroot/%_man8dir/bacula

%__install -m 644 scripts/logrotate %buildroot%_sysconfdir/logrotate.d/bacula

%__mv %buildroot%_datadir/%name/bconsole %buildroot%_sbindir/%name-console

%__chmod 0750 %buildroot%_sbindir/*
%__chmod 0755 %buildroot%_sbindir/{wx-console,*tray-monitor,bsmtp}

%__mv %buildroot%_sbindir/{wx-console,*tray-monitor} %buildroot%_bindir/

%pre
/usr/sbin/groupadd -r -f bacula
/usr/sbin/useradd -r -g bacula -d /var/lib/bacula -s /dev/null -n bacula >/dev/null 2>&1 ||:

%post client
%post_service %name-client

%preun client
%preun_service %name-client

%post storage-pgsql
%register_alternatives %name-storage-pgsql
%post_service %name-storage

%preun storage-pgsql
%unregister_alternatives %name-storage-pgsql
%preun_service %name-storage

%post storage-mysql
%register_alternatives %name-storage-mysql
%post_service %name-storage

%preun storage-mysql
%unregister_alternatives %name-storage-mysql
%preun_service %name-storage

%post storage-sqlite
%register_alternatives %name-storage-sqlite
%post_service %name-storage

%preun storage-sqlite
%unregister_alternatives %name-storage-sqlite
%preun_service %name-storage

%post storage-sqlite3
%register_alternatives %name-storage-sqlite3
%post_service %name-storage

%preun storage-sqlite3
%unregister_alternatives %name-storage-sqlite3
%preun_service %name-storage

%post director-pgsql
%register_alternatives %name-director-pgsql
%post_service %name-director
%__subst 's/\(BACULA_BACKEND=\).*/\1pgsql/' %_sysconfdir/sysconfig/bacula

%preun director-pgsql
%unregister_alternatives %name-director-pgsql
%preun_service %name-director

%post director-mysql
%register_alternatives %name-director-mysql
%post_service %name-director
%__subst 's/\(BACULA_BACKEND=\).*/\1mysql/' %_sysconfdir/sysconfig/bacula

%preun director-mysql
%unregister_alternatives %name-director-mysql
%preun_service %name-director

%post director-sqlite
%register_alternatives %name-director-sqlite
%post_service %name-director
%__subst 's/\(BACULA_BACKEND=\).*/\1sqlite/' %_sysconfdir/sysconfig/bacula

%preun director-sqlite
%unregister_alternatives %name-director-sqlite
%preun_service %name-director

%post director-sqlite3
%register_alternatives %name-director-sqlite3
%post_service %name-director
%__subst 's/\(BACULA_BACKEND=\).*/\1sqlite3/' %_sysconfdir/sysconfig/bacula

%preun director-sqlite3
%unregister_alternatives %name-director-sqlite3
%preun_service %name-director

%files
%dir %attr(0755,root,bacula)%_sysconfdir/%name
%dir %attr(0770,root,bacula)%_localstatedir/%name
%dir %_datadir/%name
%_docdir/%name-%version
%config(noreplace)%_sysconfdir/sysconfig/%name
%config(noreplace)%_sysconfdir/logrotate.d/%name
%_sbindir/bsmtp
%_man8dir/*

%files console
%config(noreplace)%attr(0640,root,bacula)%_sysconfdir/%name/bconsole.conf
%_sbindir/bconsole
%_sbindir/%name-console

%files console-wx
%config(noreplace)%attr(0644,root,bacula)%_sysconfdir/%name/wx-console.conf
%_bindir/wx-console

%files tray-monitor
%config(noreplace)%attr(0644,root,bacula)%_sysconfdir/%name/tray-monitor.conf
%_bindir/%name-tray-monitor

%files client
%config(noreplace)%attr(0640,root,bacula)%_sysconfdir/%name/%name-fd.conf
%_sbindir/%name-fd
%_initdir/%name-client

%files storage-pgsql
%config(noreplace)%attr(0640,root,bacula)%_sysconfdir/%name/%name-sd.conf
%_sbindir/%name-sd
%_sbindir/bcopy-pgsql
%_sbindir/bextract
%_sbindir/bls
%_sbindir/bscan-pgsql
%_sbindir/btape
%_datadir/%name/mtx-changer
%_altdir/%name-storage-pgsql
%_initdir/%name-storage

%files storage-mysql
%config(noreplace)%attr(0640,root,bacula)%_sysconfdir/%name/%name-sd.conf
%_sbindir/%name-sd
%_sbindir/bcopy-mysql
%_sbindir/bextract
%_sbindir/bls
%_sbindir/bscan-mysql
%_sbindir/btape
%_datadir/%name/mtx-changer
%_altdir/%name-storage-mysql
%_initdir/%name-storage

%files storage-sqlite
%config(noreplace)%attr(0640,root,bacula)%_sysconfdir/%name/%name-sd.conf
%_sbindir/%name-sd
%_sbindir/bcopy-sqlite
%_sbindir/bextract
%_sbindir/bls
%_sbindir/bscan-sqlite
%_sbindir/btape
%_datadir/%name/mtx-changer
%_altdir/%name-storage-sqlite
%_initdir/%name-storage

%files storage-sqlite3
%config(noreplace)%attr(0640,root,bacula)%_sysconfdir/%name/%name-sd.conf
%_sbindir/%name-sd
%_sbindir/bcopy-sqlite3
%_sbindir/bextract
%_sbindir/bls
%_sbindir/bscan-sqlite3
%_sbindir/btape
%_datadir/%name/mtx-changer
%_altdir/%name-storage-sqlite3
%_initdir/%name-storage

%files director-pgsql
%config(noreplace)%attr(0640,root,bacula)%_sysconfdir/%name/%name-dir.conf
%_sbindir/%name-dir-pgsql
%_sbindir/dbcheck-pgsql
%_datadir/%name/create_bacula_database
%_datadir/%name/drop_bacula_database
%_datadir/%name/make_bacula_tables
%_datadir/%name/update_bacula_tables
%_datadir/%name/grant_bacula_privileges
%_datadir/%name/drop_bacula_tables
%_datadir/%name/create_postgresql_database
%_datadir/%name/drop_postgresql_database
%_datadir/%name/make_postgresql_tables
%_datadir/%name/update_postgresql_tables
%_datadir/%name/grant_postgresql_privileges
%_datadir/%name/drop_postgresql_tables
%_datadir/%name/delete_catalog_backup
%_datadir/%name/fix_postgresql_tables
%_datadir/%name/make_catalog_backup
%_datadir/%name/query.sql
%_altdir/%name-director-pgsql
%_initdir/%name-director

%files director-mysql
%config(noreplace)%attr(0640,root,bacula)%_sysconfdir/%name/%name-dir.conf
%_sbindir/%name-dir-mysql
%_sbindir/dbcheck-mysql
%_datadir/%name/create_bacula_database
%_datadir/%name/drop_bacula_database
%_datadir/%name/make_bacula_tables
%_datadir/%name/update_bacula_tables
%_datadir/%name/grant_bacula_privileges
%_datadir/%name/drop_bacula_tables
%_datadir/%name/create_mysql_database
%_datadir/%name/drop_mysql_database
%_datadir/%name/make_mysql_tables
%_datadir/%name/update_mysql_tables
%_datadir/%name/grant_mysql_privileges
%_datadir/%name/drop_mysql_tables
%_datadir/%name/delete_catalog_backup
%_datadir/%name/make_catalog_backup
%_datadir/%name/query.sql
%_altdir/%name-director-mysql
%_initdir/%name-director

%files director-sqlite
%config(noreplace)%attr(0640,root,bacula)%_sysconfdir/%name/%name-dir.conf
%_sbindir/%name-dir-sqlite
%_sbindir/dbcheck-sqlite
%_datadir/%name/create_bacula_database
%_datadir/%name/drop_bacula_database
%_datadir/%name/make_bacula_tables
%_datadir/%name/update_bacula_tables
%_datadir/%name/grant_bacula_privileges
%_datadir/%name/drop_bacula_tables
%_datadir/%name/create_sqlite_database
%_datadir/%name/drop_sqlite_database
%_datadir/%name/make_sqlite_tables
%_datadir/%name/update_sqlite_tables
%_datadir/%name/grant_sqlite_privileges
%_datadir/%name/drop_sqlite_tables
%_datadir/%name/delete_catalog_backup
%_datadir/%name/make_catalog_backup
%_datadir/%name/query.sql
%_altdir/%name-director-sqlite
%_initdir/%name-director

%files director-sqlite3
%config(noreplace)%attr(0640,root,bacula)%_sysconfdir/%name/%name-dir.conf
%_sbindir/%name-dir-sqlite3
%_sbindir/dbcheck-sqlite3
%_datadir/%name/create_bacula_database
%_datadir/%name/drop_bacula_database
%_datadir/%name/make_bacula_tables
%_datadir/%name/update_bacula_tables
%_datadir/%name/grant_bacula_privileges
%_datadir/%name/drop_bacula_tables
%_datadir/%name/create_sqlite3_database
%_datadir/%name/drop_sqlite3_database
%_datadir/%name/make_sqlite3_tables
%_datadir/%name/update_sqlite3_tables
%_datadir/%name/grant_sqlite3_privileges
%_datadir/%name/drop_sqlite3_tables
%_datadir/%name/delete_catalog_backup
%_datadir/%name/make_catalog_backup
%_datadir/%name/query.sql
%_altdir/%name-director-sqlite3
%_initdir/%name-director

%changelog
* Mon Mar 20 2006 Alexey Borovskoy <alb@altlinux.ru> 1.38.5-alt0.M24.1
- New version: 1.38.5.

* Mon Dec 12 2005 Alexey Borovskoy <alb@altlinux.ru> 1.38.2-alt0.M24.1
- New version: 1.38.2.
- Add Patch3.

* Tue Nov 22 2005 Alexey Borovskoy <alb@altlinux.ru> 1.38.1-alt0.M24.1
- New version: 1.38.1

* Thu Jun 23 2005 Alexey Borovskoy <alb@altlinux.ru> 1.36.3-alt0.M24.6
- Fix ugly bug in initscripts
- Move bconsole and bacula-console back to /usr/sbin and fix permissions
  on config file for security reasons
  
* Thu Jun 23 2005 Alexey Borovskoy <alb@altlinux.ru> 1.36.3-alt0.M24.5
- Fix spec
  + Fix typos in scrips section

* Wed Jun 22 2005 Alexey Borovskoy <alb@altlinux.ru> 1.36.3-alt0.M24.4
- Fix requires in bacula-console

* Fri May 27 2005 Alexey Borovskoy <alb@altlinux.ru> 1.36.3-alt0.M24.3
- Fix messages in init scripts
- Move consoles and tray monitor to /usr/bin

* Thu May 26 2005 Alexey Borovskoy <alb@altlinux.ru> 1.36.3-alt0.M24.2
- Add Patch2

* Tue May 24 2005 Alexey Borovskoy <alb@altlinux.ru> 1.36.3-alt0.M24.1
- First build for ALT Linux

